Rechunk a parse result with a different chunking strategy.
This endpoint initiates rechunking of an existing parse result using the specified
chunking strategy. The operation is performed asynchronously via Temporal workflows.
Args:
project_id: Project ID that the parse result belongs to
parse_result_id: Parse result ID to rechunk
request: Rechunk parse result request with chunking strategy and options
Returns:
Job entity that can be used to track progress
Raises:
HTTPException: If the parse result is not found or other errors occur
Token-based chunking: Splits text into chunks by token count using a tokenizer (e.g., tiktoken). Best for LLM APIs with token limits, embedding models, and cost optimization. Use when you need precise control over token usage.
TokenSizeChunkingOptions
RecursiveChunkingOptions
PageChunkingOptions
SectionChunkingOptions
Show child attributes
Response
Successful Response
Job response model representing an asynchronous operation.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Scale AI","colors":{"primary":"#3f2e7b","light":"#ca62ff","dark":"#3f2e7b"},"logo":{"light":"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/light.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=46027042c16b373ac463148db5ad1d6b","dark":"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/dark.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=02733f39d684d796ec742853eabf0de5"},"favicon":"https://mintcdn.com/scalegp/1vQnbXFkjbQbcgd1/favicon.png?fit=max\u0026auto=format\u0026n=1vQnbXFkjbQbcgd1\u0026q=85\u0026s=f52c84ba46a7cca58551673616dabe9c","background":{"decoration":"windows"},"navbar":{"links":[],"primary":{"type":"button","label":"Platform","href":"https://app.sgp.scale.com/"}},"footer":{"socials":{"x":"https://x.com/scale_ai","facebook":"https://www.facebook.com/scaleapi","linkedin":"https://www.linkedin.com/company/scaleai"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"scalegp","hasAudioNarration":false,"actualSubdomain":"scalegp","customDomains":["docs.gp.scale.com"],"gitSource":{"type":"github","owner":"scaleapi","repo":"sgp-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6abeb90f3a8b8379c1eaf648","collectionId":"437f531c-55bf-41b5-8f5d-4e63781df61e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6abeb90f3a8b8379c1eaf648"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6abeb90f3a8b8379c1eaf648","clientVersion":"0.0.4039","searchFilterCounts":[{"language":"default","tag":"API Reference","count":235},{"language":"default","tag":"AgentOps API","count":141},{"language":"default","tag":"Guides","count":131},{"language":"default","tag":"Agentex API","count":94},{"language":"default","tag":"Evaluations","count":72},{"language":"default","tag":"Dex API","count":48},{"language":"default","tag":"Agents","count":41},{"language":"default","tag":"Evaluation Datasets","count":34},{"language":"default","tag":"Models","count":32},{"language":"default","tag":"Knowledge Bases","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'Aeonik';src:url(https://fonts.gstatic.com/s/inter/v18/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa1ZL7W0Q5nw.woff2);font-weight:400;font-style:normal;font-display:swap}h1,h2,h3{font-family:'aeonik';letter-spacing:normal!important}"}],"page":{"pagePath":"reference/dex/parse/create-chunk-job","slug":"/reference/dex/parse/create-chunk-job","pageMetadata":{"title":"Create Chunk Job","description":"Rechunk a parse result with a different chunking strategy.\n\nThis endpoint initiates rechunking of an existing parse result using the specified\nchunking strategy. The operation is performed asynchronously via Temporal workflows.\n\nArgs:\n project_id: Project ID that the parse result belongs to\n parse_result_id: Parse result ID to rechunk\n request: Rechunk parse result request with chunking strategy and options\n\nReturns:\n Job entity that can be used to track progress\n\nRaises:\n HTTPException: If the parse result is not found or other errors occur","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/parse/{parse_result_id}/rechunk","href":"/reference/dex/parse/create-chunk-job","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Rechunk a parse result with a different chunking strategy.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"This endpoint initiates rechunking of an existing parse result using the specified\\nchunking strategy. The operation is performed asynchronously via Temporal workflows.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Args:\\nproject_id: Project ID that the parse result belongs to\\nparse_result_id: Parse result ID to rechunk\\nrequest: Rechunk parse result request with chunking strategy and options\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Returns:\\nJob entity that can be used to track progress\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Raises:\\nHTTPException: If the parse result is not found or other errors occur\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Chunk Job","description":"Rechunk a parse result with a different chunking strategy.\n\nThis endpoint initiates rechunking of an existing parse result using the specified\nchunking strategy. The operation is performed asynchronously via Temporal workflows.\n\nArgs:\n project_id: Project ID that the parse result belongs to\n parse_result_id: Parse result ID to rechunk\n request: Rechunk parse result request with chunking strategy and options\n\nReturns:\n Job entity that can be used to track progress\n\nRaises:\n HTTPException: If the parse result is not found or other errors occur","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/parse/{parse_result_id}/rechunk","href":"/reference/dex/parse/create-chunk-job","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Parse"],"summary":"Create Chunk Job","description":"Rechunk a parse result with a different chunking strategy.\n\nThis endpoint initiates rechunking of an existing parse result using the specified\nchunking strategy. The operation is performed asynchronously via Temporal workflows.\n\nArgs:\n project_id: Project ID that the parse result belongs to\n parse_result_id: Parse result ID to rechunk\n request: Rechunk parse result request with chunking strategy and options\n\nReturns:\n Job entity that can be used to track progress\n\nRaises:\n HTTPException: If the parse result is not found or other errors occur","operationId":"create_chunk_job_v1_projects__project_id__parse__parse_result_id__rechunk_post","parameters":["876eca3d-dc39-4b2b-b756-7c1dce836ddc","5bc801b9-3201-425b-a84e-b2f82eca2cda"],"requestBody":"990e92b8-fdf0-438e-90bc-4dc19a111592","responses":{"202":"2650afe5-70cf-4471-839a-11faa9d75ddd","422":"2d24acc0-56f0-4c94-a2f2-c002b9d24d79"},"method":"post","type":"path","servers":[],"security":["3d5b6088-a4a5-4a82-8450-48a5ac5593af"],"path":"/v1/projects/{project_id}/parse/{parse_result_id}/rechunk","baseUrlOptions":[],"title":"Create Chunk Job","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"876eca3d-dc39-4b2b-b756-7c1dce836ddc":{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"5bc801b9-3201-425b-a84e-b2f82eca2cda":{"name":"parse_result_id","in":"path","required":true,"schema":{"type":"string","title":"Parse Result Id","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"chunking_options":{"oneOf":[{"type":"object","title":"TokenSizeChunkingOptions","description":"Token-based chunking: Splits text into chunks by token count using a tokenizer (e.g., tiktoken). Best for LLM APIs with token limits, embedding models, and cost optimization. Use when you need precise control over token usage.","properties":{"strategy":{"type":"string","const":"token_size","title":"Strategy","description":"The chunking strategy","default":"token_size","uniqueKey":"chunking_options.oneOf.0.strategy","typeLabel":"string"},"chunk_size":{"type":"integer","exclusiveMinimum":0,"title":"Chunk Size","description":"Target size of each chunk in tokens","default":512,"uniqueKey":"chunking_options.oneOf.0.chunk_size","typeLabel":"integer"},"chunk_overlap":{"type":"integer","minimum":0,"title":"Chunk Overlap","description":"Number of overlapping tokens between chunks","default":50,"uniqueKey":"chunking_options.oneOf.0.chunk_overlap","typeLabel":"integer"},"encoding_name":{"type":"string","title":"Encoding Name","description":"Tiktoken encoding name (e.g., cl100k_base for GPT-4)","default":"cl100k_base","uniqueKey":"chunking_options.oneOf.0.encoding_name","typeLabel":"string"}},"isRequired":true,"uniqueKey":"chunking_options.oneOf.0","typeLabel":"TokenSizeChunkingOptions · object"},{"type":"object","title":"RecursiveChunkingOptions","description":"Recursive text splitting: Uses a hierarchy of separators (paragraphs → sentences → words) to preserve natural text boundaries. Best for articles, documentation, and RAG systems where readability and semantic coherence matter.","properties":{"strategy":{"type":"string","const":"recursive","title":"Strategy","description":"The chunking strategy","default":"recursive","uniqueKey":"chunking_options.oneOf.1.strategy","typeLabel":"string"},"chunk_size":{"type":"integer","exclusiveMinimum":0,"title":"Chunk Size","description":"Target size of each chunk in characters","default":1000,"uniqueKey":"chunking_options.oneOf.1.chunk_size","typeLabel":"integer"},"chunk_overlap":{"type":"integer","minimum":0,"title":"Chunk Overlap","description":"Number of overlapping characters between chunks","default":200,"uniqueKey":"chunking_options.oneOf.1.chunk_overlap","typeLabel":"integer"},"separators":{"items":{"type":"string","uniqueKey":"chunking_options.oneOf.1.separators.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Separators","description":"List of separators to try in order","default":["\n\n","\n"," ",""],"uniqueKey":"chunking_options.oneOf.1.separators","typeLabel":"string[]"},"keep_separator":{"type":"boolean","title":"Keep Separator","description":"Whether to keep the separator in the chunks","default":true,"uniqueKey":"chunking_options.oneOf.1.keep_separator","typeLabel":"boolean"}},"isRequired":true,"uniqueKey":"chunking_options.oneOf.1","typeLabel":"RecursiveChunkingOptions · object"},{"type":"object","title":"PageChunkingOptions","description":"Page-based chunking: Splits documents by page boundaries, grouping complete pages together. Best for legal documents, forms, and reports where page references are important and page structure should be preserved.","properties":{"strategy":{"type":"string","const":"by_page","title":"Strategy","description":"The chunking strategy","default":"by_page","uniqueKey":"chunking_options.oneOf.2.strategy","typeLabel":"string"},"pages_per_chunk":{"type":"integer","exclusiveMinimum":0,"title":"Pages Per Chunk","description":"Number of pages to include in each chunk","default":1,"uniqueKey":"chunking_options.oneOf.2.pages_per_chunk","typeLabel":"integer"}},"isRequired":true,"uniqueKey":"chunking_options.oneOf.2","typeLabel":"PageChunkingOptions · object"},{"type":"object","title":"SectionChunkingOptions","description":"Section-based chunking: Splits text by section headers (e.g., markdown #, ##, ###) to keep complete topics together. Best for structured documents like technical manuals, wikis, and academic papers where semantic coherence within topics is crucial.","properties":{"strategy":{"type":"string","const":"by_section","title":"Strategy","description":"The chunking strategy","default":"by_section","uniqueKey":"chunking_options.oneOf.3.strategy","typeLabel":"string"},"section_headers":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"chunking_options.oneOf.3.section_headers.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Section Headers","description":"Markdown-style headers that denote sections","uniqueKey":"chunking_options.oneOf.3.section_headers.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Section Headers","description":"Markdown-style headers that denote sections","uniqueKey":"chunking_options.oneOf.3.section_headers.oneOf.1","typeLabel":"null"}],"uniqueKey":"chunking_options.oneOf.3.section_headers","typeLabel":"string[] | null"},"include_header_in_chunk":{"type":"boolean","title":"Include Header In Chunk","description":"Whether to include the section header in the chunk","default":true,"uniqueKey":"chunking_options.oneOf.3.include_header_in_chunk","typeLabel":"boolean"}},"isRequired":true,"uniqueKey":"chunking_options.oneOf.3","typeLabel":"SectionChunkingOptions · object"}],"isRequired":true,"uniqueKey":"chunking_options","typeLabel":"TokenSizeChunkingOptions · object | RecursiveChunkingOptions · object | PageChunkingOptions · object | SectionChunkingOptions · object"}},"type":"object","required":["chunking_options"],"title":"RechunkParseResultRequest","description":"Request model for rechunking a parse result.","uniqueKey":"","typeLabel":"RechunkParseResultRequest · object"},"examples":{"Example":{"title":"Example","value":{"chunking_options":{"strategy":"token_size","chunk_size":512,"chunk_overlap":50,"encoding_name":"cl100k_base"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"2650afe5-70cf-4471-839a-11faa9d75ddd":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","title":"Id","description":"ID of the entity","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"project_id":{"type":"string","title":"Project Id","description":"ID of the project","isRequired":true,"uniqueKey":"project_id","typeLabel":"string"},"operation":{"type":"string","enum":["parse","batch_parse","extract","research","vector_store","chunk","summarization","create_index","update_index"],"title":"JobOperationType","description":"Operation type (e.g., 'parse')","isRequired":true,"uniqueKey":"operation","typeLabel":"enum\u003cstring>"},"status":{"type":"string","enum":["pending","running","succeeded","partially_succeeded","failed","cancelled"],"title":"JobStatus","description":"Current job status","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"When the job was created","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"object":{"type":"string","const":"job","title":"Object","default":"job","uniqueKey":"object","typeLabel":"string"},"source_id":{"oneOf":[{"type":"string","title":"Source Id","description":"Source document/file ID","uniqueKey":"source_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Source Id","description":"Source document/file ID","uniqueKey":"source_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"source_id","typeLabel":"string | null"},"correlation_id":{"oneOf":[{"type":"string","title":"Correlation Id","description":"Request correlation ID for tracing","uniqueKey":"correlation_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Correlation Id","description":"Request correlation ID for tracing","uniqueKey":"correlation_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"correlation_id","typeLabel":"string | null"},"started_at":{"oneOf":[{"type":"string","title":"Started At","description":"When the job started processing","format":"date-time","uniqueKey":"started_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Started At","description":"When the job started processing","uniqueKey":"started_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"started_at","typeLabel":"string\u003cdate-time> | null"},"completed_at":{"oneOf":[{"type":"string","title":"Completed At","description":"When the job completed","format":"date-time","uniqueKey":"completed_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Completed At","description":"When the job completed","uniqueKey":"completed_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"completed_at","typeLabel":"string\u003cdate-time> | null"},"result":{"oneOf":[{"type":"object","title":"Result","description":"Job result payload when completed","additionalProperties":true,"uniqueKey":"result.oneOf.0","typeLabel":"Result · object"},{"type":"null","title":"Result","description":"Job result payload when completed","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"Result · object | null"},"progress":{"oneOf":[{"type":"object","title":"BatchParseProgress","description":"Live progress payload (used by batch jobs)","required":["total","succeeded","failed","cancelled","pending","child_jobs"],"properties":{"total":{"type":"integer","title":"Total","description":"Total number of files in the batch","isRequired":true,"uniqueKey":"progress.oneOf.0.total","typeLabel":"integer"},"succeeded":{"type":"integer","title":"Succeeded","description":"Number of successfully parsed files","isRequired":true,"uniqueKey":"progress.oneOf.0.succeeded","typeLabel":"integer"},"failed":{"type":"integer","title":"Failed","description":"Number of files that failed to parse","isRequired":true,"uniqueKey":"progress.oneOf.0.failed","typeLabel":"integer"},"cancelled":{"type":"integer","title":"Cancelled","description":"Number of cancelled child jobs","isRequired":true,"uniqueKey":"progress.oneOf.0.cancelled","typeLabel":"integer"},"pending":{"type":"integer","title":"Pending","description":"Number of files still pending (0 when job is terminal)","isRequired":true,"uniqueKey":"progress.oneOf.0.pending","typeLabel":"integer"},"child_jobs":{"items":{"properties":{"source_document_id":{"type":"string","title":"Source Document Id","description":"Source document ID","isRequired":true,"uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].source_document_id","typeLabel":"string"},"job_id":{"type":"string","title":"Job Id","description":"Child job ID","isRequired":true,"uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].job_id","typeLabel":"string"},"status":{"type":"string","enum":["pending","running","succeeded","partially_succeeded","failed","cancelled"],"title":"JobStatus","description":"Status of the child job","isRequired":true,"uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"parse_result_id":{"oneOf":[{"type":"string","title":"Parse Result Id","description":"Parse result ID if succeeded","uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].parse_result_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Parse Result Id","description":"Parse result ID if succeeded","uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].parse_result_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].parse_result_id","typeLabel":"string | null"},"error":{"oneOf":[{"type":"string","title":"Error","description":"Error message if failed","uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].error.oneOf.0","typeLabel":"string"},{"type":"null","title":"Error","description":"Error message if failed","uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].error.oneOf.1","typeLabel":"null"}],"uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX].error","typeLabel":"string | null"}},"type":"object","required":["source_document_id","job_id","status"],"title":"BatchChildJobInfo","description":"Status of a single child job within a batch.","uniqueKey":"progress.oneOf.0.child_jobs.items.[INDEX]","typeLabel":"BatchChildJobInfo · object"},"type":"array","title":"Child Jobs","description":"Per-child job status","isRequired":true,"uniqueKey":"progress.oneOf.0.child_jobs","typeLabel":"BatchChildJobInfo · object[]"}},"uniqueKey":"progress.oneOf.0","typeLabel":"BatchParseProgress · object"},{"type":"null","description":"Live progress payload (used by batch jobs)","uniqueKey":"progress.oneOf.1","typeLabel":"null"}],"uniqueKey":"progress","typeLabel":"BatchParseProgress · object | null"},"error":{"oneOf":[{"type":"string","title":"Error","description":"Error message if job failed","uniqueKey":"error.oneOf.0","typeLabel":"string"},{"type":"null","title":"Error","description":"Error message if job failed","uniqueKey":"error.oneOf.1","typeLabel":"null"}],"uniqueKey":"error","typeLabel":"string | null"},"history":{"oneOf":[{"type":"array","items":{"properties":{"step":{"type":"string","title":"Step","description":"Human-readable step name","isRequired":true,"uniqueKey":"history.oneOf.0.items.[INDEX].step","typeLabel":"string"},"timestamp":{"type":"string","format":"date-time","title":"Timestamp","description":"When this event occurred","isRequired":true,"uniqueKey":"history.oneOf.0.items.[INDEX].timestamp","typeLabel":"string\u003cdate-time>"},"duration_ms":{"oneOf":[{"type":"integer","title":"Duration Ms","description":"Duration in milliseconds (for completed steps)","uniqueKey":"history.oneOf.0.items.[INDEX].duration_ms.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Duration Ms","description":"Duration in milliseconds (for completed steps)","uniqueKey":"history.oneOf.0.items.[INDEX].duration_ms.oneOf.1","typeLabel":"null"}],"uniqueKey":"history.oneOf.0.items.[INDEX].duration_ms","typeLabel":"integer | null"},"status":{"oneOf":[{"type":"string","title":"Status","description":"Event status (e.g., 'completed', 'failed')","uniqueKey":"history.oneOf.0.items.[INDEX].status.oneOf.0","typeLabel":"string"},{"type":"null","title":"Status","description":"Event status (e.g., 'completed', 'failed')","uniqueKey":"history.oneOf.0.items.[INDEX].status.oneOf.1","typeLabel":"null"}],"uniqueKey":"history.oneOf.0.items.[INDEX].status","typeLabel":"string | null"},"details":{"oneOf":[{"type":"object","title":"Details","description":"Additional event details","additionalProperties":true,"uniqueKey":"history.oneOf.0.items.[INDEX].details.oneOf.0","typeLabel":"Details · object"},{"type":"null","title":"Details","description":"Additional event details","uniqueKey":"history.oneOf.0.items.[INDEX].details.oneOf.1","typeLabel":"null"}],"uniqueKey":"history.oneOf.0.items.[INDEX].details","typeLabel":"Details · object | null"}},"type":"object","required":["step","timestamp"],"title":"JobHistoryEvent","description":"A single event in the job execution timeline.","uniqueKey":"history.oneOf.0.items.[INDEX]","typeLabel":"JobHistoryEvent · object"},"title":"History","description":"Timeline of job execution events","uniqueKey":"history.oneOf.0","typeLabel":"JobHistoryEvent · object[]"},{"type":"null","title":"History","description":"Timeline of job execution events","uniqueKey":"history.oneOf.1","typeLabel":"null"}],"uniqueKey":"history","typeLabel":"JobHistoryEvent · object[] | null"}},"type":"object","required":["id","project_id","operation","status","created_at"],"title":"JobEntity","description":"Job response model representing an asynchronous operation.","uniqueKey":"","typeLabel":"JobEntity · object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","project_id":"\u003cstring>","operation":"parse","status":"pending","created_at":"2023-11-07T05:31:56Z","object":"job","source_id":"\u003cstring>","correlation_id":"\u003cstring>","started_at":"2023-11-07T05:31:56Z","completed_at":"2023-11-07T05:31:56Z","result":{},"progress":{"total":123,"succeeded":123,"failed":123,"cancelled":123,"pending":123,"child_jobs":[{"source_document_id":"\u003cstring>","job_id":"\u003cstring>","status":"pending","parse_result_id":"\u003cstring>","error":"\u003cstring>"}]},"error":"\u003cstring>","history":[{"step":"\u003cstring>","timestamp":"2023-11-07T05:31:56Z","duration_ms":123,"status":"\u003cstring>","details":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"2d24acc0-56f0-4c94-a2f2-c002b9d24d79":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"3d5b6088-a4a5-4a82-8450-48a5ac5593af":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key","description":"API key for authentication","scopes":[]},"AccountId":{"type":"apiKey","in":"header","name":"x-selected-account-id","description":"Selected Account ID","scopes":[]}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"API key for authentication","scopes":[]},"schema":{"title":"x-api-key","type":"string","description":"API key for authentication","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKey","name":"x-api-key"},{"scheme":{"type":"apiKey","in":"header","name":"x-selected-account-id","description":"Selected Account ID","scopes":[]},"schema":{"title":"x-selected-account-id","type":"string","description":"Selected Account ID","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"AccountId","name":"x-selected-account-id"}],"title":"ApiKey \u0026 AccountId"}]},"originalFileLocation":"https://dex.sgp.scale.com/openapi.json"},"subdomain":"scalegp","siteName":"Scale AI","title":"Create Chunk Job - Scale AI","navMaps":{"firstHrefInVersion":{"V5":{"href":"/reference/dex/parse/create-chunk-job","matchLevel":0},"V4 (legacy)":{"href":"/home","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-09-28T19:56:23.195Z","originalFileLocation":"reference/dex/parse/create-chunk-job.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Rechunk a parse result with a different chunking strategy. This endpoint initiates rechunking of an existing parse result using the specified chunking strategy. The operation is performed asynchronously via Temporal workflows. Args: project_id: Project ID that the parse result belongs to parse_result_id: Parse result ID to rechunk request: Rechunk parse result request with chunking strategy and options Returns: Job entity that can be used to track progress Raises: HTTPException: If the parse result is not found or other errors occur\">\u003cmeta data-mint-head name=\"application-name\" content=\"Scale AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Chunk Job - Scale AI\">\u003cmeta data-mint-head property=\"og:description\" content=\"Rechunk a parse result with a different chunking strategy. This endpoint initiates rechunking of an existing parse result using the specified chunking strategy. The operation is performed asynchronously via Temporal workflows. Args: project_id: Project ID that the parse result belongs to parse_result_id: Parse result ID to rechunk request: Rechunk parse result request with chunking strategy and options Returns: Job entity that can be used to track progress Raises: HTTPException: If the parse result is not found or other errors occur\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Scale AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://scalegp.mintlify.app/_mintlify/api/og/v2?division=Parse\u0026amp;title=Create+Chunk+Job\u0026amp;description=Rechunk+a+parse+result+with+a+different+chunking+strategy.%0A%0AThis+endpoint+initiates+rechunking+of+an+existing+parse+result+using+the+specified%0Achunking+strategy\u0026amp;theme=b7e87dd2f9a2a23155199f59\u0026amp;signature=b99d6a32cfaa8edb505e15c370dcc2d9dfefea12d826c5170d2c4b5772a592d0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Chunk Job - Scale AI\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Rechunk a parse result with a different chunking strategy. This endpoint initiates rechunking of an existing parse result using the specified chunking strategy. The operation is performed asynchronously via Temporal workflows. Args: project_id: Project ID that the parse result belongs to parse_result_id: Parse result ID to rechunk request: Rechunk parse result request with chunking strategy and options Returns: Job entity that can be used to track progress Raises: HTTPException: If the parse result is not found or other errors occur\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://scalegp.mintlify.app/_mintlify/api/og/v2?division=Parse\u0026amp;title=Create+Chunk+Job\u0026amp;description=Rechunk+a+parse+result+with+a+different+chunking+strategy.%0A%0AThis+endpoint+initiates+rechunking+of+an+existing+parse+result+using+the+specified%0Achunking+strategy\u0026amp;theme=b7e87dd2f9a2a23155199f59\u0026amp;signature=b99d6a32cfaa8edb505e15c370dcc2d9dfefea12d826c5170d2c4b5772a592d0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Scale AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3f2e7b\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/dex/parse/create-chunk-job.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.gp.scale.com/#organization\",\"name\":\"Scale AI\",\"url\":\"https://docs.gp.scale.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/light.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=46027042c16b373ac463148db5ad1d6b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.gp.scale.com#website\",\"name\":\"Scale AI\",\"url\":\"https://docs.gp.scale.com\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job#webpage\",\"url\":\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job\",\"name\":\"Create Chunk Job\",\"description\":\"Rechunk a parse result with a different chunking strategy. This endpoint initiates rechunking of an existing parse result using the specified chunking strategy. The operation is performed asynchronously via Temporal workflows. Args: project_id: Project ID that the parse result belongs to parse_result_id: Parse result ID to rechunk request: Rechunk parse result request with chunking strategy and options Returns: Job entity that can be used to track progress Raises: HTTPException: If the parse result is not found or other errors occur\",\"dateModified\":\"2026-09-28T19:56:23.195Z\",\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Parse\",\"item\":\"https://docs.gp.scale.com/reference/dex/parse/create-parse-job\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Chunk Job\",\"item\":\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job#apireference\",\"headline\":\"Create Chunk Job\",\"name\":\"Create Chunk Job\",\"description\":\"Rechunk a parse result with a different chunking strategy. This endpoint initiates rechunking of an existing parse result using the specified chunking strategy. The operation is performed asynchronously via Temporal workflows. Args: project_id: Project ID that the parse result belongs to parse_result_id: Parse result ID to rechunk request: Rechunk parse result request with chunking strategy and options Returns: Job entity that can be used to track progress Raises: HTTPException: If the parse result is not found or other errors occur\",\"url\":\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job\",\"mainEntityOfPage\":{\"@id\":\"https://docs.gp.scale.com/reference/dex/parse/create-chunk-job#webpage\"},\"dateModified\":\"2026-09-28T19:56:23.195Z\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"}}]}\u003c/script>","siteName":"Scale AI","nav":{"global":null,"versions":[{"version":"V5","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/v5/overview"}]},{"tab":"AgentOps API","pages":[{"title":"AgentOps API","href":"/reference/v5/inference/run-inference-with-free-form-payload"}]},{"tab":"AgentOps SDK","href":"https://scaleapi.github.io/sgp-sdk-docs/api/python/"},{"tab":"Agentex API","pages":[{"title":"Agentex API","href":"/reference/agentex/agents/get-agent-by-id"}]},{"tab":"Agentex SDK","href":"https://scaleapi.github.io/agentex-sdk-docs/api/python/"},{"tab":"Capabilities","pages":[{"title":"Capabilities","href":"/docs/capabilities/overview"}]},{"tab":"Dex API","groups":[{"group":"Projects","pages":[{"title":"List Projects","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects","href":"/reference/dex/projects/list-projects"},{"title":"Create Project","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects","href":"/reference/dex/projects/create-project"},{"title":"Get Project","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}","href":"/reference/dex/projects/get-project"},{"title":"Update Project","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json put /v1/projects/{project_id}","href":"/reference/dex/projects/update-project"}]},{"group":"Files","pages":[{"title":"List Files","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/files","href":"/reference/dex/files/list-files"},{"title":"Upload File","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/files","href":"/reference/dex/files/upload-file"},{"title":"Get By Id","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/files/{file_id}","href":"/reference/dex/files/get-by-id"},{"title":"Delete File","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json delete /v1/projects/{project_id}/files/{file_id}","href":"/reference/dex/files/delete-file"},{"title":"Get File Download Url","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/files/{file_id}/download-url","href":"/reference/dex/files/get-file-download-url"},{"title":"Stream File Content","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/files/{file_id}/stream","href":"/reference/dex/files/stream-file-content"}]},{"group":"Parse","pages":[{"title":"Create Parse Job","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/parse","href":"/reference/dex/parse/create-parse-job"},{"title":"Create Batch Parse Job","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/parse/batch","href":"/reference/dex/parse/create-batch-parse-job"},{"title":"List Parse Results","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/parse/results","href":"/reference/dex/parse/list-parse-results"},{"title":"Get Parse Result","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/parse/{parse_result_id}/result","href":"/reference/dex/parse/get-parse-result"},{"title":"Upload Parse Result","description":"Ingest a pre-computed parse result directly without creating a job.\n\nThis endpoint allows direct ingestion of parse results from external tools\nwhile storing them in a dedicated parse_results table for better performance\nand indexing.\n\nArgs:\n request: Parse result creation request with source document ID and result payload\n storage_gateway: Storage gateway for uploading content to object store\n\nReturns:\n ParseResultEntity representing the stored parse result\n\nRaises:\n HTTPException: If the source document is not found or other errors occur","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/parse/upload-result","href":"/reference/dex/parse/upload-parse-result"},{"title":"Create Chunk Job","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/parse/{parse_result_id}/rechunk","href":"/reference/dex/parse/create-chunk-job"}]},{"group":"Vector Stores","pages":[{"title":"List vector stores","description":"Retrieve a paginated list of vector stores for a project.\n\n This endpoint returns all vector stores associated with the specified project,\n with optional filtering by name and engine type.\n\n **Filtering:**\n - `name`: Filter vector stores by exact name match\n - `engine`: Filter by vector store engine type (e.g., sgp_knowledge_base)\n - `ids`: Filter by vector store IDs (list)\n - `created_at_start`: Filter by creation time (start)\n - `created_at_end`: Filter by creation time (end)\n - `project_id`: Filter by project ID (if not provided in path)\n\n **Sorting:**\n - `sort_by`: Field to sort by (id, created_at, engine, project_id)\n - `sort_order`: Sort order (asc or desc)\n\n **Token-based Pagination:**\n - New syntax (recommended): Use `page_size`, `continuation_token`, `sort_by`, `sort_order` query parameters\n - Legacy syntax (deprecated): Use `size` and `continuation_token` query parameters\n - If no pagination parameters are provided, returns a plain list\n - Use the `next_token` from the response to fetch subsequent pages\n - When `next_token` is `null`, you have reached the last page\n\n **Returns:**\n - Paginated list of vector store entities\n - Total count of matching vector stores\n - `next_token` for pagination (null if no more pages)\n\n **Example Response:**\n ```json\n {\n \"items\": [\n {\n \"id\": \"vs_123456789\",\n \"project_id\": \"proj_987654321\",\n \"name\": \"My Knowledge Base\",\n \"engine\": \"sgp_knowledge_base\",\n \"created_at\": \"2024-01-15T10:30:00Z\"\n }\n ],\n \"total_count\": 1,\n \"next_token\": \"eyJpZCI6InZlY3Rvcl9zdG9yZV8xMjM0NTY3ODkwYWJjZGVmIn0=\"\n }\n ```","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/vector-stores","href":"/reference/dex/vector-stores/list-vector-stores"},{"title":"Create a new vector store","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/vector-stores","href":"/reference/dex/vector-stores/create-a-new-vector-store"},{"title":"Get vector store details","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/vector-stores/{vector_store_id}","href":"/reference/dex/vector-stores/get-vector-store-details"},{"title":"Delete a vector store","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json delete /v1/projects/{project_id}/vector-stores/{vector_store_id}","href":"/reference/dex/vector-stores/delete-a-vector-store"},{"title":"List files in vector store","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/vector-stores/{vector_store_id}/files","href":"/reference/dex/vector-stores/list-files-in-vector-store"},{"title":"Add files to vector store","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/vector-stores/{vector_store_id}/files","href":"/reference/dex/vector-stores/add-files-to-vector-store"},{"title":"Remove files from vector store","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json delete /v1/projects/{project_id}/vector-stores/{vector_store_id}/files","href":"/reference/dex/vector-stores/remove-files-from-vector-store"},{"title":"Search in vector store","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/vector-stores/{vector_store_id}/search","href":"/reference/dex/vector-stores/search-in-vector-store"},{"title":"Search in vector store's file","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/vector-stores/{vector_store_id}/files/{file_id}/search","href":"/reference/dex/vector-stores/search-in-vector-stores-file"}]},{"group":"Extract","pages":[{"title":"Create Extract Job","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/extract","href":"/reference/dex/extract/create-extract-job"},{"title":"Get Extraction","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/extract/{extraction_id}/result","href":"/reference/dex/extract/get-extraction"},{"title":"List Extractions","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/extract/results","href":"/reference/dex/extract/list-extractions"}]},{"group":"Research","pages":[{"title":"Create Research Job","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/research","href":"/reference/dex/research/create-research-job"},{"title":"List Research Results","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/research/results","href":"/reference/dex/research/list-research-results"}]},{"group":"Jobs","pages":[{"title":"Get Job","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/jobs/{job_id}","href":"/reference/dex/jobs/get-job"},{"title":"List Jobs","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/jobs","href":"/reference/dex/jobs/list-jobs"},{"title":"Cancel Job","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/jobs/{job_id}/cancel","href":"/reference/dex/jobs/cancel-job"},{"title":"Stream Job Updates","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/jobs/{job_id}/updates","href":"/reference/dex/jobs/stream-job-updates"}]},{"group":"Indexes","pages":[{"title":"List Indexes","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/indexes","href":"/reference/dex/indexes/list-indexes"},{"title":"Create Index","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/indexes","href":"/reference/dex/indexes/create-index"},{"title":"Get Index","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/indexes/{index_id}","href":"/reference/dex/indexes/get-index"},{"title":"Delete Index","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json delete /v1/projects/{project_id}/indexes/{index_id}","href":"/reference/dex/indexes/delete-index"},{"title":"Batch Upsert Files To Index","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/indexes/{index_id}/files","href":"/reference/dex/indexes/batch-upsert-files-to-index"},{"title":"Batch Delete Files From Index","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json delete /v1/projects/{project_id}/indexes/{index_id}/files","href":"/reference/dex/indexes/batch-delete-files-from-index"},{"title":"Search Index","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/indexes/{index_id}/search","href":"/reference/dex/indexes/search-index"},{"title":"Navigate Index","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/indexes/{index_id}/navigate","href":"/reference/dex/indexes/navigate-index"}]},{"group":"Data sources","pages":[{"title":"List Project Data Sources","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/data-sources","href":"/reference/dex/data-sources/list-project-data-sources"},{"title":"Link Project Data Source","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/data-sources","href":"/reference/dex/data-sources/link-project-data-source"},{"title":"Get Project Data Source","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/data-sources/{data_source_id}","href":"/reference/dex/data-sources/get-project-data-source"},{"title":"Unlink Project Data Source","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json delete /v1/projects/{project_id}/data-sources/{data_source_id}","href":"/reference/dex/data-sources/unlink-project-data-source"},{"title":"Resync Data Source Deltas","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/projects/{project_id}/data-sources/{data_source_id}/resync","href":"/reference/dex/data-sources/resync-data-source-deltas"}]},{"group":"Webhooks","pages":[{"title":"Ingest Data Sources Change Event","deprecated":null,"version":null,"openapi":"https://dex.sgp.scale.com/openapi.json post /v1/webhooks/data-sources","href":"/reference/dex/webhooks/ingest-data-sources-change-event"}]}]}]},{"version":"V4 (legacy)","pages":[{"title":"V4 (legacy)","href":"/home"}]}]},"basePath":"","title":"Create Chunk Job - Scale AI","buildId":"dpl_77Hw7ZuAABM8E3WMbYAf2ohQCr3v","deploymentId":"dpl_77Hw7ZuAABM8E3WMbYAf2ohQCr3v","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CVpqyvFO.js","utils-vpweLD0v.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BIOodqb0.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B1LM3qmu.js","snippetPresets-C5xK0GtN.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CCsxLnQl.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C2-WKG22.js","shallow-SdoLUC-q.js","getApiPlaygroundDisplay-BnI8L2hB.js","CodeSnippet-D5M8NCHI.js","CodeSnippets-CXRO8Uom.js","Page-CN9QbZiA.js","getPastedJson-CrfHEdRt.js","icon-Cr8AyUnW.js","MethodPill-J_Cs0kNw.js","DuplicateIcon-DrMboxGw.js","createIcon-B4CIWVbU.js","DynamicMarkdown-D9cdbgj9.js","SectionHeading-BO4CouT0.js","axios-vUo_bRtp.js","Markdown-L1m1-PSi.js","clsx-rIpTdK8h.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-ptfS1uB_.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-D31Sm3f9.js"]}